Package net.sf.saxon.functions

## Class PositionAndLast.Position

- java.lang.Object
- - net.sf.saxon.functions.AbstractFunction
  - - net.sf.saxon.functions.SystemFunction
    - - net.sf.saxon.functions.ContextAccessorFunction
      - - net.sf.saxon.functions.PositionAndLast
        - - net.sf.saxon.functions.PositionAndLast.Position

- All Implemented Interfaces:
    `Callable`, `Function`, `GroundedValue`, `Item`, `Sequence`
  Enclosing class:
    PositionAndLast

      public static class PositionAndLast.Position
      extends PositionAndLast

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.functions.PositionAndLast

      `PositionAndLast.Last, PositionAndLast.Position`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Position()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Int64Value` | `evaluateItem​(XPathContext c)` | Evaluate in a general context
    `java.lang.String` | `getCompilerName()` | Get the (local) name of a class that can be used to generate bytecode for this system function

    - ### Methods inherited from class net.sf.saxon.functions.PositionAndLast

      `bindContext, call, getIntegerBounds, getNetCost, isContextPossiblyUndefined, supplyTypeInformation`

    - ### Methods inherited from class net.sf.saxon.functions.SystemFunction

      `dependsOnContextItem, dynamicCall, equals, export, exportAdditionalArguments, exportAttributes, fixArguments, getArity, getCardinality, getContextNode, getDescription, getDetails, getErrorCodeForTypeErrors, getFunctionItemType, getFunctionName, getOperandRoles, getRequiredType, getResultItemType, getResultItemType, getRetainedStaticContext, getSpecialProperties, getStaticBaseUriString, getStreamerName, importAttributes, isTrustedResultType, makeCall, makeFunction, makeFunctionCall, makeOptimizedFunctionCall, resultIfEmpty, setArity, setDetails, setRetainedStaticContext, toShortString, toString, typeCheckCaller`

    - ### Methods inherited from class net.sf.saxon.functions.AbstractFunction

      `atomize, deepEquals, effectiveBooleanValue, getAnnotations, getStringValue, getStringValueCS, isArray, isMap, makeNewContext, simplify, typeCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.Function

      `getGenre`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, head, isStreamed, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

- - ### Constructor Detail

    - #### Position

          public Position()

  - ### Method Detail

    - #### evaluateItem

          public Int64Value evaluateItem​(XPathContext c)
                                  throws XPathException

      Description copied from class: `PositionAndLast`
      Evaluate in a general context
      Specified by:
        `evaluateItem` in class `PositionAndLast`
      Throws:
        `XPathException`

    - #### getCompilerName

          public java.lang.String getCompilerName()

      Description copied from class: `SystemFunction`
      Get the (local) name of a class that can be used to generate bytecode for this system function
      Overrides:
        `getCompilerName` in class `SystemFunction`
      Returns:
        the name of a bytecode generation class, or null if there is no bytecode support for this function